#ifndef PLUGINTERFACE_H
#define PLUGINTERFACE_H

#include <QString>
#include <QtCore>
#include "simplenetwork.h"

class PlugInterface
{

public:
    virtual ~PlugInterface() {}
    virtual QString pName() = 0;
    virtual QIcon addPlugIn(SimpleNetwork *sNet) = 0;
    virtual QWidget* executePlugIn() = 0;
    virtual void setBlink(bool b) {blink = b;}
    virtual bool getBlink() {return blink;}

private:
    bool blink;
};

Q_DECLARE_INTERFACE(PlugInterface,"QtCumber_PlugIn_Interface");


#endif // PLUGINTERFACE_H
